ib_write_bw_postlist(1)

NAME
ib_write_bw_postlist - RDMA write post list bandwidth test

SYNOPSIS
ib_write_bw_postlist [ options ] [ server IP address ]

DESCRIPTION
This program tests the bandwidth of RMDA write transactions.

OPTIONS

-p, --port=<port>
    listen on/connect to port <port> (default 18515)

-d, --ib-dev=<dev>
    use IB device <dev> (default first device found)

-i, --ib-port=<port>
    use port <port> of IB device (default 1)

-c, --connection=<RC/UC>
    connection type RC/UC (default RC)

-m, --mtu=<mtu>
    mtu size (256 - 4096. default for hermon is 2048)

-g, --post=<num of posts>
    number of posts for each qp in the chain (default tx_depth)

-q, --qp=<num of qp's>
    Num of qp's(default 1)

-s, --size=<size>
    size of message to exchange (default 65536)

-a, --all
    Run sizes from 2 till 2^23

-t, --tx-depth=<dep>
    size of tx queue (default 100)

-n, --iters=<iters>
    number of exchanges (at least 2, default 5000)

-I, --inline_size=<size>
    max size of message to be sent in inline mode (default 400)

-b, --bidirectional
    measure bidirectional bandwidth (default unidirectional)

-V, --version
    display version number

-F, --CPU-freq
    do not fail even if cpufreq_ondemand module is loaded

AUTHOR

Guy Coates  < gmpc@sanger.ac.uk >